在新的 SharePoint 服务器 2016年场"升级可用"状态

重要说明:本文是由 Microsoft 机器翻译软件进行的翻译并可能由 Microsoft 社区通过社区翻译机构(CTF)技术进行后期编辑,或可能是由人工进行的翻译。Microsoft 同时向您提供机器翻译、人工翻译及社区后期编辑的文章,以便对我们知识库中的所有文章以多种语言提供访问。翻译的文章可能存在词汇、句法和/或语法方面的错误。Microsoft 对由于内容的误译或客户对内容的使用所导致的任何不准确、错误或损失不承担责任。

点击这里察看该文章的英文版: 3157397
症状
请考虑以下情况。安装 SharePoint 服务器 2016年。运行SharePoint 2016 产品配置向导来创建新服务器场。此服务器场创建后,您可能会看到以下症状︰
  • 您浏览到 SharePoint 2016 管理中心网站。在管理中心,followthe管理此服务器场中的服务器的链接。在状态列"可升级"将显示。
  • 在管理中心,您单击监视。然后单击检查数据库的状态SharePoint_AdminContent_<GUID></GUID>数据库具有以下状态:"数据库处于兼容性范围和,建议进行升级"。
  • 您浏览到管理中心网站。您浏览到管理内容数据库。在的 Web 应用程序︰在页上的菜单中选择SharePoint 管理中心 v4。然后按照链接SharePoint_AdminContent_<GUID></GUID>的内容数据库。数据库架构版本区域包含下列内容︰
    Microsoft.Office.Project.Server.Database.Extension.Upgrade.PDEUpgradeSequence 当前架构版本︰ 4.0.0.0,最大的架构版本︰ 16.1.273.0
  • 在 SharePoint 2016 服务器上,运行命令stsadm o LocalUpgradeStatus返回的结果,包括下列︰
    <object>
    <name>SharePoint_AdminContent_GUID</name>
    <type>Microsoft.SharePoint.Administration.SPContentDatabase</type>
    <level>5</level>
    <status>需要升级</status>
    </object>
  • 在 SharePoint 服务器上,您可以使用SharePoint 2016 管理外壳程序运行︰
    获得 SPFarm |获得 SPPendingUpgradeActions 递归

    结果包括︰
    UpgradeActions: {Microsoft.Office.Project.Server.Database.Extension.Upgrade.PD
    EUpgradeSequence Microsoft.Office.Project.Server.Database.Ext
    ension。Upgrade.PDEUpgraderAction_16_0_1_0 Microsoft.Office.Pr
    项目。Server.Database.Extension.Upgrade.PDEUpgraderAction_16_1
    _1_0 Microsoft.Office.Project.Server.Database.Extension.Upgra
    特拉华州。...} PDEUpgraderAction_16_1_2_0
    对象名称︰ SharePoint_AdminContent_<GUID>
    对象类型︰ Microsoft.SharePoint.Administration.SPContentDatabase
    ParentName: SharePoint 管理中心管理 v4
    ParentType: Microsoft.SharePoint.Administration.SPAdministrationWebApplica
    服务和解决方案
    等级︰ 5
    状态︰ NeedsUpgradeBackwardsCompatible</GUID>
  • 对象类型︰ Microsoft.SharePoint.Administration.SPContentDatabase
    ParentName: SharePoint 管理中心管理 v4
    ParentType: Microsoft.SharePoint.Administration.SPAdministrationWebApplica
    服务和解决方案
    等级︰ 5
    状态︰ NeedsUpgradeBackwardsCompatible



原因
这可能发生在数据库中的 ifsome 组件没有 SharePoint 2016Configuration 向导创建中央管理 AdminContent 数据库时已设置为预期的版本。



解决方案
若要解决此问题,请使用下列方法之一:

1.在SharePoint 2016 管理外壳程序升级中管理中心数据库 compoments 中运行以下命令︰
获得 SPWebApplication <Central administration="" url="">|获得 SPContentDatabase |升级 SPContentDatabase</Central>


2.进行SharePoint 2016 产品配置向导从命令行︰
PSConfig.exe-cmd 升级就地 b2b 的等待-强制的 cmd applicationcontent-安装-cmd installfeatures-cmd secureresources


kbtshoot kbprb

警告:本文已自动翻译

属性

文章 ID:3157397 - 上次审阅时间:07/18/2016 18:57:00 - 修订版本: 1.0

Microsoft SharePoint Server 2016

  • kbmt KB3157397 KbMtzh
反馈
..." />
..." />